### Enumeration

# Qmi WdsQosClassIdentifier

since: 1.18

#### Declaration

    enum Qmi.WdsQosClassIdentifier

#### Description [src]

QoS Class Identifier.

Available since: 1.18

#### Members

`QMI_WDS_QOS_CLASS_IDENTIFIER_NETWORK_ASSIGN`

  Network assigned.

  - Value: `0`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_GUARANTEED_BITRATE1`

  Guaranteed bitrate 1.

  - Value: `1`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_GUARANTEED_BITRATE2`

  Guaranteed bitrate 2.

  - Value: `2`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_GUARANTEED_BITRATE3`

  Guaranteed bitrate 3.

  - Value: `3`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_GUARANTEED_BITRATE4`

  Guaranteed bitrate 4.

  - Value: `4`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_NON_GUARANTEED_BITRATE5`

  Non-guaranteed bitrate 5.

  - Value: `5`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_NON_GUARANTEED_BITRATE6`

  Non-guaranteed bitrate 6.

  - Value: `6`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_NON_GUARANTEED_BITRATE7`

  Non-guaranteed bitrate 7.

  - Value: `7`
  - Available since: 1.18
`QMI_WDS_QOS_CLASS_IDENTIFIER_NON_GUARANTEED_BITRATE8`

  Non-guaranteed bitrate 8.

  - Value: `8`
  - Available since: 1.18

#### Type functions

###### qmi_wds_qos_class_identifier_get_string

Gets the nickname string for the `QmiWdsQosClassIdentifier` specified at `val`.

since: 1.18